Bug 1421335 - docker won't start with unconfined disabled
Summary: docker won't start with unconfined disabled
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 06:20 UTC by Robin Powell
Modified: 2018-05-22 01:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-22 01:14:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Robin Powell 2017-02-11 06:20:31 UTC
My apologies if this belongs in container-selinux or something.

Here's the AVCs from when I run "sudo systemctl start docker":

type=AVC msg=audit(1486793069.404:6217949): avc:  denied  { rlimitinh } for  pid=25909 comm="sudo" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:st
aff_sudo_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.404:6217949): avc:  denied  { siginh } for  pid=25909 comm="sudo" scontext=staff_u:staff_r:staff_t:s0-s0:c0.c1023 tcontext=staff_u:staff_r:staff
_sudo_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.437:6217952): avc:  denied  { net_admin } for  pid=25909 comm="sudo" capability=12  scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontex
t=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tclass=capability permissive=1
type=AVC msg=audit(1486793069.448:6217955): avc:  denied  { rlimitinh } for  pid=25910 comm="sesh" scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontext=staff_u:uncon
fined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.448:6217955): avc:  denied  { siginh } for  pid=25910 comm="sesh" scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontext=staff_u:unconfin
ed_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.448:6217955): avc:  denied  { noatsecure } for  pid=25910 comm="sesh" scontext=staff_u:staff_r:staff_sudo_t:s0-s0:c0.c1023 tcontext=staff_u:unco
nfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.471:6217959): avc:  denied  { connectto } for  pid=25912 comm="(ge-setup)" path="/run/systemd/journal/stdout" scontext=system_u:system_r:init_t:
s0 tcontext=system_u:system_r:kernel_t:s0 tclass=unix_stream_socket permissive=1
type=AVC msg=audit(1486793069.473:6217960): avc:  denied  { noatsecure } for  pid=25912 comm="docker-storage-" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r
:container_runtime_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.500:6217964): avc:  denied  { rlimitinh } for  pid=25917 comm="lvs" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r
:lvm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.500:6217964): avc:  denied  { siginh } for  pid=25917 comm="lvs" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:lvm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.500:6217964): avc:  denied  { noatsecure } for  pid=25917 comm="lvs" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:lvm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.622:6217973): avc:  denied  { noatsecure } for  pid=25932 comm="dockerd-current" scontext=system_u:system_r:init_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.652:6217974): avc:  denied  { sys_resource } for  pid=25932 comm="dockerd-current" capability=24  scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=capability permissive=1
type=AVC msg=audit(1486793069.657:6217975): avc:  denied  { wake_alarm } for  pid=342 comm="systemd-udevd" capability=35  scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tclass=capability2 permissive=1
ntext=system_u:system_r:udev_t:s0-s0:c0.c1023 tclass=capability2 permissive=1
type=AVC msg=audit(1486793069.675:6217976): avc:  denied  { rlimitinh } for  pid=25956 comm="dmsetup" scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.675:6217976): avc:  denied  { siginh } for  pid=25956 comm="dmsetup" scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.675:6217976): avc:  denied  { noatsecure } for  pid=25956 comm="dmsetup" scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 tcontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tclass=process permissive=1
type=AVC msg=audit(1486793069.910:6217980): avc:  denied  { rlimitinh } for  pid=25966 comm="blkid" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:fsadm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.910:6217980): avc:  denied  { siginh } for  pid=25966 comm="blkid" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:fsadm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793069.910:6217980): avc:  denied  { noatsecure } for  pid=25966 comm="blkid" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:fsadm_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.207:6217982): avc:  denied  { rlimitinh } for  pid=25975 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.207:6217982): avc:  denied  { siginh } for  pid=25975 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.207:6217982): avc:  denied  { noatsecure } for  pid=25975 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.215:6217983): avc:  denied  { rlimitinh } for  pid=25976 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.215:6217983): avc:  denied  { siginh } for  pid=25976 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.215:6217983): avc:  denied  { noatsecure } for  pid=25976 comm="modprobe" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:insmod_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.228:6217984): avc:  denied  { rlimitinh } for  pid=25977 comm="iptables" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:iptables_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.228:6217984): avc:  denied  { siginh } for  pid=25977 comm="iptables" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:iptables_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.228:6217984): avc:  denied  { noatsecure } for  pid=25977 comm="iptables" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:iptables_t:s0 tclass=process permissive=1
type=AVC msg=audit(1486793070.337:6218011): avc:  denied  { read } for  pid=25996 comm="modprobe" path="net:[4026531957]" dev="nsfs" ino=4026531957 scontext=system_u:system_r:insmod_t:s0 tcontext=system_u:object_r:nsfs_t:s0 tclass=file permissive=1
type=AVC msg=audit(1486793070.346:6218013): avc:  denied  { create } for  pid=25932 comm="dockerd-current" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=netlink_xfrm_socket permissive=1
type=AVC msg=audit(1486793070.347:6218014): avc:  denied  { bind } for  pid=25932 comm="dockerd-current" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=netlink_xfrm_socket permissive=1
type=AVC msg=audit(1486793070.348:6218015): avc:  denied  { setopt } for  pid=25932 comm="dockerd-current" scontext=system_u:system_r:container_runtime_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=netlink_xfrm_socket permissive=1
type=AVC msg=audit(1486793070.350:6218016): avc:  denied  { read write } for  pid=25998 comm="iptables" path="socket:[26589419]" dev="sockfs" ino=26589419 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=netlink_route_socket permissive=1
type=AVC msg=audit(1486793070.350:6218016): avc:  denied  { read write } for  pid=25998 comm="iptables" path="socket:[26589420]" dev="sockfs" ino=26589420 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:system_r:container_runtime_t:s0 tclass=netlink_xfrm_socket permissive=1

Comment 1 Daniel Walsh 2017-02-12 05:52:00 UTC
I think all it would need is

allow container_runtime_t self:netlink_xfrm_socket create_netlink_socket_perms;
allow container_runtime_t self:capability { chown kill fowner fsetid mknod net_admin net_bind_service net_raw setfcap sys_resource };

Comment 2 Fedora End Of Life 2017-02-28 11:15:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Fedora End Of Life 2018-05-03 07:58:17 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Robin Powell 2018-05-22 01:14:36 UTC
Confirmed fixed on F27.


Note You need to log in before you can comment on or make changes to this bug.